%global gem_name stomp

%if 0%{?rhel} == 5
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%endif

Summary: Ruby client for the Stomp messaging protocol
Name: rubygem-%{gem_name}
Version: 1.2.10
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://stomp.codehaus.org/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?rhel} >= 6 || 0%{?fedora}
Requires: ruby
BuildRequires: rubygems-devel
%else
Requires: rubygems
Requires: ruby(abi) = 1.8
BuildRequires: rubygems
%endif


BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Ruby client for the Stomp messaging protocol

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gem_dir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gem_dir}/bin
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod 755
rm -f %{buildroot}%{gem_instdir}/.gitignore
rm -f %{buildroot}%{gem_instdir}/stomp.gemspec

%clean
rm -rf %{buildroot}

%check
pushd %{buildroot}/%{gem_instdir}
# This part require rspec2, and it's not there yet
#rake spec
# Rake test requires a stomp server
# rake test
popd

%files
%defattr(-, root, root, -)
%{_bindir}/catstomp
%{_bindir}/stompcat
%dir %{gem_instdir}
%{gem_instdir}/lib
%{gem_instdir}/bin
%{gem_dir}/cache/%{gem_name}-%{version}.gem
%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.rdoc

%files doc
%defattr(-, root, root, -)
%{gem_instdir}/spec
%{gem_instdir}/test
%{gem_instdir}/examples
%{gem_instdir}/Rakefile
%{gem_instdir}/notes/heartbeat_readme.txt
%{gem_dir}/doc/%{gem_name}-%{version}

%changelog
* Fri Feb 7 2013 Melissa Stone <melissa@puppetlabs.com> - 1.2.10-1
- Update to upstream version 1.2.10

* Wed Apr 11 2012 <moses@puppetlabs.com> - 1.2.2-1
- New version from upstream

* Fri Mar 18 2011 <stahnma@fedoraproject.org> - 1.1.8-1
- New version from upstream

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 05 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.1.6-1
- Initial Package
